Package x2go :: Package backends :: Package printing :: Module gconf :: Class X2GoClientPrinting

[frames] | no frames]

# Class X2GoClientPrinting

source code

    object --+
             |
            X2GoClientPrinting

x2go.backends.printing.gconf.X2GoClientPrinting provides access to the GCONF based configuration of the X2Go client printing setup.

An instance of x2go.backends.printing.gconf.X2GoClientPrinting is created on each incoming print job. This facilitates that on every print job the print action for this job is derived from the »printing« configuration file.

Thus, changes on the file are active for the next incoming print job.

Instance Methods

__init__(self, defaults=None, logger=None, loglevel=56) x.__init__(...) initializes x; see help(type(x)) for signature | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| defaultValues = ``{``'``CUPS``'``:` `{``'``defaultprinter``'``:` `'``PDF``'``}``,` `'``General``'``:``...``

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, defaults=None, logger=None, loglevel=56)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `defaults` (`dict`) - a cascaded Python dicitionary structure with ini file defaults (to override Python X2Go's hard coded defaults in defaults
  - `logger` (`obj`) - you can pass an X2GoLogger object to the X2GoPrintAction constructor
  - `loglevel` (`int`) - if no X2GoLogger object has been supplied a new one will be constructed with the given loglevel
Overrides: object.__init__

Class Variable Details

### defaultValues

Value:

      {'CUPS': {'defaultprinter': 'PDF'},
       'General': {'pdfview': True, 'showdialog': False},
       'print': {'command': 'lpr',
                 'ps': False,
                 'startcmd': False,
                 'stdin': False},
       'save': {'folder': 'PDF'},
       'view': {'command': 'xdg-open', 'open': True}}